> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Remove providers from contract

DELETE https://api.taigabilling.com/api/contracts/v3/{contract_id}/providers
Content-Type: application/json

Removes the specified rendering provider IDs from the contract. Returns a 404 if any of the provided IDs are not currently in the contract.

Reference: https://docs.taigabilling.com/api-reference/contracts-v-3/contracts-v-3-remove-contract-providers

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `contract_id` (string, required)

### Body (application/json)

This endpoint expects an object.

- `rendering_provider_ids` (list of string, required) — Provider IDs to remove from the contract. Max 100,000 per request.

## Response

### 200

- `provider_count` (integer, required) — The total number of rendering providers currently associated with this contract

## Errors

### 404 Not Found Error

- `Contracts_v3_remove_contract_providersRequestNotFoundError`
  - ContractsV3RemoveContractProvidersRequestNotFoundError0

### 422 Unprocessable Entity Error

- `Contracts_v3_remove_contract_providersRequestUnprocessableEntityError`
  - ContractsV3RemoveContractProvidersRequestUnprocessableEntityError0

## Types

### ContractsV3RemoveContractProvidersRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (EntityNotFoundErrorMessage, optional)

### ContractsV3RemoveContractProvidersRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnprocessableEntityErrorMessage, optional)

### EntityNotFoundErrorMessage

- `id` (string, required)

### UnprocessableEntityErrorMessage

- `message` (string, optional, nullable)

## Examples

**Request**

```json
{
  "rendering_provider_ids": [
    "string"
  ]
}
```

**Response**

```json
{
  "provider_count": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/contracts/v3/contract_id/providers"

payload = { "rendering_provider_ids": ["string"] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.delete(url, json=payload, headers=headers)

print(response.json())
```